commit:     72d07a815eee5f833379987b87ac28ac56a87906
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 19 06:05:00 2015 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Sun Apr 19 06:05:00 2015 +0000
URL:        https://gitweb.gentoo.org/dev/dev-zero.git/commit/?id=72d07a81

remove -Werror and update to git-r3

 x11-plugins/pa-applet/Manifest             | 1 -
 x11-plugins/pa-applet/pa-applet-scm.ebuild | 9 ++++++---
 2 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/x11-plugins/pa-applet/Manifest b/x11-plugins/pa-applet/Manifest
deleted file mode 100644
index 9adc846..0000000
--- a/x11-plugins/pa-applet/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-EBUILD pa-applet-scm.ebuild 583 SHA256 
415819c666d39da7ae5bbc4047207a76c9f414417c52f400af89ca127137bb18 SHA512 
05527c394fc3d23ff19fb8b8e570edccc72b40765a490d7dbf1b5af818ad7d371ed1bcec7d5000d4144b9d8a9161c8ce93dcaf04754c6ec7093ddb002004a354
 WHIRLPOOL 
cb1e11e0986d108e51501c2b63b6765b215c3b0f0fb9a513014db16a95fb0cc62fb39c5c19832488cf7e92d765dc098fb6bbe90a3e04e1fb3142aaaaac379e16

diff --git a/x11-plugins/pa-applet/pa-applet-scm.ebuild 
b/x11-plugins/pa-applet/pa-applet-scm.ebuild
index fca1a36..e55adc9 100644
--- a/x11-plugins/pa-applet/pa-applet-scm.ebuild
+++ b/x11-plugins/pa-applet/pa-applet-scm.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI=5
 
-inherit autotools git-2
+inherit autotools git-r3
 
 DESCRIPTION="systray-applet that allows you to control some of PulseAudio's 
features."
 HOMEPAGE="https://github.com/fernandotcl/pa-applet";
@@ -23,4 +23,7 @@ RDEPEND="x11-libs/gtk+:3
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 
-EGIT_BOOTSTRAP="autogen.sh"
+src_prepare() {
+       sed -i -e 's| -Werror||' src/Makefile.am || die
+       ./autogen.sh || die
+}

Reply via email to